
SELinux - Refactor #6284

Remove Passenger/init_exec_script_files policy

06/19/2014 10:12 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee:    

Category: Plugins   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

#5930 added policy to allow Passenger to execute init scripts so Katello can get service statuses, which should be removed ASAP.

Related issues:

Related to SELinux - Feature #5930: Implement policy for Katello plugin Closed 05/26/2014

Related to SELinux - Bug #32316: Drop all passenger-related SELinux rules Closed

Has duplicate SELinux - Bug #7250: Remove sysvinit executable rule in Katello Duplicate 08/25/2014

Blocked by Katello - Bug #6283: Katello ping controller executes init scripts Closed 06/19/2014

History

#1 - 06/19/2014 10:12 AM - Dominic Cleal

- Blocked by Bug #6283: Katello ping controller executes init scripts added

#2 - 06/19/2014 10:12 AM - Dominic Cleal

- Related to Feature #5930: Implement policy for Katello plugin added

#3 - 08/21/2014 03:27 AM - Dominic Cleal

- Target version set to 1.7.4

#4 - 08/26/2014 03:43 AM - Dominic Cleal

- Has duplicate Bug #7250: Remove sysvinit executable rule in Katello added

#5 - 09/16/2014 08:34 AM - Anonymous

- Target version changed from 1.7.4 to 1.7.3

#6 - 09/30/2014 10:56 AM - Dominic Cleal

- Target version changed from 1.7.3 to 1.7.2

#7 - 10/15/2018 11:42 AM - Tomer Brisker

- Target version deleted (659)

#8 - 11/17/2022 02:44 PM - Ewoud Kohl van Wijngaarden

- Related to Bug #32316: Drop all passenger-related SELinux rules added

#9 - 11/17/2022 02:46 PM - Ewoud Kohl van Wijngaarden

- Status changed from New to Closed

- Triaged set to No

I don't recall when it was exactly removed, but #32316 removed all passenger lines so it can be dropped.
